#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.9.1.0
visibility:           public
id:                   ghcide-1.9.1.0-HwAkVTDd37EFvNbRQNs88T
key:                  ghcide-1.9.1.0-HwAkVTDd37EFvNbRQNs88T
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  01271065a58214ee9d2323b897dbbdbb
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.9.1.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.9.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.9.1.0-HwAkVTDd37EFvNbRQNs88T
depends:
    Diff-0.4.1-2b84kELbdFiFT3I48y9pel
    Glob-0.10.2-1KcEJJNRbdsLtV0wRk55uc
    aeson-2.1.2.1-1R35DvuKsJwFudsOlCM6yV
    aeson-pretty-0.8.10-7367jfN5uCWGVYHo3rguZr array-0.5.4.0
    async-2.2.5-b1lsUdcpsoF4yB7f3qI00 base-4.16.4.0
    base16-bytestring-1.0.2.0-KWjk12Kc0JO2Mp5RJvDvOx binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-2Tjf2PFkxP43DkqVUMYCmf
    co-log-core-0.3.2.1-It8qfPnPtZf5KV2MO88VWA containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-HzrEYanEvCZBYZYFg1QugH
    data-default-0.7.1.1-LSJh75QrCu1H2SWBLBb1YB deepseq-1.4.6.1
    dependent-map-0.4.0.0-4zdW0rV7LmFFyu3f5acPYi
    dependent-sum-0.7.2.0-B9EtGA51p8dLwqtNtCQrVI directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.2.0-H3VphUsD5ehC1YFl2A9A57 exceptions-0.10.4
    extra-1.7.14-JZwVFNOTzAl9wNXhTRS6o8 filepath-1.4.2.2
    fingertree-0.1.5.0-BPWkDmDjmTx3KDprlRqnss
    focus-1.0.3.2-AKC1YexAFjH6ZbwqCay7au ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-9fm16v5IgCjKBkE463gaJw
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.8-AXrbrbo7fa5AubaYk3VnX7
    haddock-library-1.11.0-8eQuluy44m1GfbXhGIWS2X
    hashable-1.4.3.0-7566tBsT9J8EFScR3Tb2Bc
    hie-bios-0.11.0-Mpv8XZ002s2tFzJtBv9gv
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.2.0-IHzm8VH44ep1O7ZEqmPfQq
    hls-graph-1.9.0.0-4nTvQprVee21P1DngyVSFV
    hls-plugin-api-1.6.0.0-6Ebop0G4HfEC83Y5bnhsUu
    hslogger-1.3.1.0-FNx7g1zPce93Ck4eeOXymn
    implicit-hie-0.1.2.7-5kbjNQbtvzWCtp0MR08gUW
    implicit-hie-cradle-0.5.0.1-8b5Wp1ajA9BAWiTAlpHoWn
    lens-5.2.3-Lr9JV2q3Rgv6Xn7f42cFjs
    list-t-1.0.5.4-F3DLF2fJQIg5JN1yChcuYQ
    lsp-1.6.0.0-1JAbQDnc0SK1hycTz4LLrJ
    lsp-types-1.6.0.0-2bofF1fRSsb5ddfkj3rDHp mtl-2.2.2
    opentelemetry-0.8.0-6OuMp7H5VB2Hv6JxOE6bj6
    optparse-applicative-0.17.1.0-EVzrhDWWxX13a7yQJqV4uv
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-6qweuFXyH3M9iRh9d1UfvN
    prettyprinter-ansi-terminal-1.1.3-IJRJgLJFXarI2LfDjxVPUV
    random-1.2.1.2-Ektqt59GIPs5HEoqAQJ00N
    regex-tdfa-1.3.2.2-G7ufGPI8BXGB521OJBI0lU
    safe-exceptions-0.1.7.4-6RvFz5Fydfp5kEv3UW5kHC
    sorted-list-0.2.2.0-49UaJBSw75cDOWJK8CF2Ek
    sqlite-simple-0.4.19.0-LdIhwEkzWGZG3CKXAC6pg stm-2.5.0.2
    stm-containers-1.2.0.3-1iDLVR51EHg5hAxeIwDw4A
    syb-0.7.2.4-I6Nnpf8cvJCKAwaV0JIT6f text-1.2.5.0
    text-rope-0.2-6oZoMUkF0uJ6MR7r0VV0ga time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-56sfjNmy7BWDzWuwznFqC8
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-Kaqz4YtssULDpEsD0of7Qa
    vector-0.13.1.0-HyaXkpW7aOFHhHqdwTfvZq

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

